Loading...
Searching...
No Matches
graph_set.c File Reference

GRASS png display driver - set graphics processing. More...

`#include <string.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/mman.h>`
`#include <grass/gis.h>`
`#include <grass/colors.h>`
`#include <grass/glocale.h>`
`#include "pngdriver.h"`
Include dependency graph for pngdriver/graph_set.c:

Go to the source code of this file.

## Functions

int | PNG_Graph_set (void)
| Start up graphics processing.
const char * | PNG_Graph_get_file (void)
| Get render file.

## Variables

struct png_state | png

## Detailed Description

GRASS png display driver - set graphics processing.

(C) 2003-2014 by Glynn Clements and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Per Henrik Johansen (original contributor)
  Glynn Clements

Definition in file pngdriver/graph_set.c.

## Function Documentation

## PNG_Graph_get_file()

const char * PNG_Graph_get_file | ( | void |  | ) |

Get render file.

Returns
  file name

Definition at line 184 of file pngdriver/graph_set.c.

References png.

Referenced by PNG_Driver().

## PNG_Graph_set()

int PNG_Graph_set | ( | void |  | ) |

Start up graphics processing.

Anything that needs to be assigned, set up, started-up, or otherwise initialized happens here. This is called only at the startup of the graphics driver.

The external variables define the pixel limits of the graphics surface. The coordinate system used by the applications programs has the (0,0) origin in the upper left-hand corner. Hence, screen_left < screen_right screen_top < screen_bottom

Definition at line 86 of file pngdriver/graph_set.c.

References FILE_NAME, G_debug(), G_str_to_color(), G_strcasecmp(), G_verbose_message(), png, PNG_Erase(), png_get_color(), png_init_color_table(), read_image(), screen_height, screen_width, and write_image().

Referenced by PNG_Driver().

## Variable Documentation

## png

struct png_state png

Definition at line 32 of file pngdriver/graph_set.c.

Referenced by PNG_Box(), PNG_color_rgb(), PNG_draw_bitmap(), png_draw_line(), PNG_draw_point(), PNG_Erase(), png_get_color(), png_get_pixel(), PNG_Graph_close(), PNG_Graph_get_file(), PNG_Graph_set(), png_init_color_table(), PNG_Line_width(), png_polygon(), PNG_raster(), PNG_Set_window(), read_bmp(), read_image(), read_pgm(), read_png(), read_ppm(), write_bmp(), write_image(), write_pgm(), write_png(), and write_ppm().